Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web
Class ThreadPool

    java.lang.Object
      |
      +--org.jboss.web.ThreadPool

public class ThreadPool
extends java.lang.Object

A simple thread pool.

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)

Constructor Summary
`ThreadPool()` Create a new pool.

Method Summary
`void` | `run(java.lang.Runnable work)` Do some work.
`void` | `setMaximumSize(int size)` Set the maximum number of idle threads cached in this pool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPool

    public ThreadPool()

  Create a new pool.

Method Detail

### setMaximumSize

    public void setMaximumSize(int size)

  Set the maximum number of idle threads cached in this pool.

### run

    public void run(java.lang.Runnable work)

  Do some work. This will either create a new thread to do the work, or use an existing idle cached thread.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.